CREATE procedure [C6Mart].[SRV_TABELLE_IN_MART]
AS
BEGIN
	DECLARE @tabella AS VARCHAR(50) 
	SET @tabella = NULL
	SELECT TOP 1 @tabella = A.tabella
	FROM(
		SELECT tables.name tabella
		FROM sys.tables tables
		INNER JOIN sys.schemas schemas
			ON tables.schema_id = schemas.schema_id
		WHERE schemas.name = 'C6Mart'
			AND tables.name <> 'TabelleStoricizzate'
	) A
	WHERE A.tabella NOT IN (
		SELECT Nome 
		FROM C6Mart.TabelleStoricizzate
	)
	ORDER BY A.tabella
	-- vedi stessa sp di Staging
	/*INSERT INTO [C6Mart].[TabelleStoricizzate]
           ([Nome])
	VALUES
           (@tabella)*/
	DECLARE @tabellaMartDaStoricizzare AS SMALLINT
	IF @tabella IS NOT NULL
		BEGIN
			INSERT INTO [C6Mart].[TabelleStoricizzate]
				   ([Nome], [Inizio])
			VALUES
				   (@tabella, GETDATE())
			EXEC [C6Mart].[SRV_STORICIZZAZIONE] @tabella
			SET @tabellaMartDaStoricizzare = 1
		END
	ELSE
		SET @tabellaMartDaStoricizzare = 0
	SELECT @tabellaMartDaStoricizzare tabella, @tabella nome
END